# VeikonKone GEANT4 Simulation

Veikon Kone is the name of an electron spectrometer designed and 
built in the 1980s at the University of Jyväskylä in Finland. It 
consists of a Siegbahn-Slätis type intermediate-image magnetic 
electron transporter with an energy-dispersive beta detector 
at the focal plane. In 2017/18 it was fully refurbished and used 
at the IGISOL-4 facility at the JYFL Accelerator Laboratory 
to measure the second-forbidden, non-unique, ground-state transition 
in the beta decay of ^20 F.

This repository contains the GEANT4 simulation of the refurbished spectrometer. See the [project wiki](https://git.kern.phys.au.dk/oliskir/VeikonKone/wikis/home) for instructions on how to obtain, install and run the program.

Inquires should be directed to oliver.kirsebom+phys@gmail.com.

The implementation of the tracking in the magnetic field is 
based on the [purging_magnet](https://twiki.cern.ch/twiki/bin/view/Geant4/AdvancedExamplesPurgingMagnet) example, while the implementation 
of the generation, transport and collection of scintillation 
photons is based on the [LXe](http://geant4-userdoc.web.cern.ch/geant4-userdoc/Doxygen/examples_doc/html/ExampleLXe.html) example.
