
#ifndef VKPILEUPDATA_H
#define VKPILEUPDATA_H

#include "VKBaseData.hh"
#include "VKSimData.hh"


class VKPileupData : public VKBaseData {

    public:
        VKPileupData(std::string fname);
        virtual ~VKPileupData();

        inline size_t GetEntries() const override {return fEntries;}
        inline double GetNormalization() const override {return fNormalization;}
        inline double GetArea() const override {return fSd->GetArea();}
        inline bool HasV2Branches() const override {return fHasV2Branches;}
        const VKEvent& GetEvent(size_t id) override;
        
    private:    
        VKSimData * fSd;
                
        size_t fEntries;
        double fNormalization;
        bool fHasV2Branches;
        VKEvent fEvent;
};

#endif //VKPILEUPDATA_H

