
#ifndef VKSIMDATA_H
#define VKSIMDATA_H

#include "VKBaseData.hh"


class VKSimData : public VKBaseData {

    public:
        VKSimData(std::string filename);
        virtual ~VKSimData();

        inline size_t GetEntries() const override {return fEntries;}
        inline double GetNormalization() const override {return fNormalization;}
        inline double GetArea() const override {return fArea;}
        inline bool HasV2Branches() const override {return fHasV2Branches;}
        const VKEvent& GetEvent(size_t id) override;
        
    private:    
        void SetInputBranches(TTree * t);
        
        size_t fEntries;
        double fNormalization;
        double fArea;
        bool fHasV2Branches;
        VKEvent fEvent;
        
        TFile *fInputFile;
        TTree *fInputTree;

        Float_t _ESin;
        Float_t _EVin;
        UInt_t  _PSin;
        UInt_t  _PVin;        
        Float_t _EF2in;
        Float_t _ES2in;
        Float_t _EV2in;
};

#endif //VKSIMDATA_H

